Bug 46808 - Adapt UNO services to new-style
Summary: Adapt UNO services to new-style
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:3.6.0 target:3.7.0 target:4.0....
Keywords: topicCleanup
Depends on:
Blocks:
 
Reported: 2012-03-01 00:36 UTC by Stephan Bergmann
Modified: 2016-06-07 14:01 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stephan Bergmann 2012-03-01 00:36:29 UTC
In around 2004, we designed new mechanisms for UNO services that make their use easier and safer, preventing problems like the one discussed in the mail thread at <http://lists.freedesktop.org/archives/libreoffice/2012-February/027380.html> "nsplugin broken due to typo."  See <http://www.openoffice.org/marketing/ooocon2004/presentations/friday/shinyhappyuno.pdf> "Here Come UNO, All Shiny and New" for background information from back then.

The problem is that while some existing old-style UNO services have been converted to new-style (like com.sun.star.bridge.UnoUrlResolver), others have not (like com.sun.star.ucb.SimpleFileAccess).

So, what is necessary is:

1  Go through all service definitions in offapi and udkapi, identifying old-style services that implement only a single interface, i.e., of the form

  service Foo { interface XBar; };

and transform them into into new-style services, i.e., of the form

  service Foo: XBar;

For published services, this is strictly speaking incompatible, but IMO still acceptable.

2  Then, in the C++ and Java source code, identify uses of those services via createInstance or createInstanceWithContext, and transform them into uses of the new-style services' constructors, Foo::create(...).

2a  If there are uses via createInstanceWithArguments or createInstanceWithArgumentsAndContext, you also need to define appropriate constructors in UNOIDL.  (I'll provide links to further documentation later.)
Comment 1 Stephan Bergmann 2012-03-02 10:00:36 UTC
"For published services, this is strictly speaking incompatible, but IMO still acceptable."  But requires special action in offapi, cf. <http://cgit.freedesktop.org/libreoffice/core/commit/?id=30a7a6189916396c7c2ee9bbd5861ad19bf7724c> "Document how to incompatibly change udkapi/offapi."
Comment 2 Stephan Bergmann 2012-03-22 05:23:36 UTC
...and as a fourth step, you also need to move the modified service .idl file from the gb_UnoApiTarget_add_idlfiles_noheader list matching the file's direcotry to the corresponding gb_UnoApiTarget_add_idlfiles_nohdl list in udkapi/UnoApi_udkapi.mk (for .idl files in udkapi) resp. offapi/UnoApi_offapi.mk (for .idl files in offapi).  See <http://cgit.freedesktop.org/libreoffice/core/diff/udkapi/UnoApi_udkapi.mk?id=3f89190894b056639e9a323ebffe7a2e20ad4dc4> for an example (modifying udkapi/com/sun/star/script/Converter.idl).
Comment 3 Not Assigned 2012-03-27 03:30:47 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e4d9dabce80e7823bcdf28f06a99c83a2950d8c7

fdo#46808, Adapt UNO serviecs to new style, Part 1
Comment 4 Not Assigned 2012-04-02 11:49:49 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=15f9ca7d5889a3203739edb36db7a6f32a24b6ba

fdo#46808, Adapt UNO services to new style, Part 6, updating makefiles
Comment 5 Not Assigned 2012-04-02 11:50:14 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3893b00efb752942c6517bdf21d0a2cdc8ab14ab

fdo#46808, Adapt UNO services to new style
Comment 6 Not Assigned 2012-06-04 08:01:29 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b3c76dee6d44d07eae404b8d7341e6c88e6c4429

fdo#46808, Adapt UNO services to new style, Part 7, updating ::create
Comment 7 Not Assigned 2012-06-06 01:58:44 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d08578912f2c9ef42d4349079422e25b951e544e

fdo#46808, Adapt UNO services to new style, Part 7, updating ::create
Comment 8 Not Assigned 2012-06-06 01:59:11 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=392a483e1040787857fa09fead0547d567c570b5

fdo#46808, Adapt UNO services to new style, Part 7, updating ::create
Comment 9 Not Assigned 2012-06-06 01:59:36 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8a95074eaefd01621dc55db8567b19c8e6157f95

fdo#46808, Adapt UNO services to new style, Part 7, updating ::create
Comment 10 Not Assigned 2012-06-06 02:00:02 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0fcd1a73f0e1ec564f3c6da1ccd890183d3c18db

fdo#46808, Adapt UNO services to new style, Part 7, updating ::create
Comment 11 Jean-Tiare LE BIGOT 2012-07-24 18:15:08 UTC
Is there still need for help in this area ?
Comment 12 David Tardon 2012-07-25 05:43:27 UTC
(In reply to comment #11)
> Is there still need for help in this area ?

Yes, there is.
Comment 13 Daniel 2012-08-04 02:48:39 UTC
I will begin development today.
Comment 14 Daniel 2012-08-04 02:52:26 UTC
Sorry I thought these Easy Tasks would be trivial for an absolute beginner, but I'm not sure where to start.
Comment 15 Jean-Tiare LE BIGOT 2012-08-10 11:54:16 UTC
I submited a first patch for "auth" module for review on gerrit. https://gerrit.libreoffice.org/#/c/385/
Comment 16 Stéphane Aulery 2012-08-11 01:20:36 UTC
Deteted "Easyhack" from summary
Comment 17 Not Assigned 2012-08-14 12:43:21 UTC
Jean-Tiare LE BIGOT committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a334c468508125b9a8342b285f81561d8ad026e1

Tool to ease rdb file update to work on fdo#46808
Comment 18 Not Assigned 2012-08-14 12:43:40 UTC
Jean-Tiare LE BIGOT committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=213938438a22e44d591a708505b4a9389275a12e

Applied fdo#46808 to offapi/auth module
Comment 19 Not Assigned 2012-08-23 08:01:50 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8b34ad6204ee35b7dca10d2b1c9761dfa72684a7

fdo#46808, Remove unnecessary XServiceInfo lines in UNO IDL
Comment 20 Not Assigned 2012-08-23 08:02:11 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3e7990faa4dda6022c63aebb2ac8f12b2bbc0731

fdo#46808, Shiny UNO, Use factory to create XSimpleFileAccess instances
Comment 21 Not Assigned 2012-08-27 13:57:28 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=65c78617de30f4928255b15599e7709fa0081f67

fdo#46808, Shiny UNO, More use factory to create XSimpleFileAccess instances
Comment 22 Not Assigned 2012-08-27 13:57:45 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f789715a414bd1115401f93d11f09260f891956c

fdo#46808, Use factory methods for frame::DispatchHelper instances
Comment 23 Not Assigned 2012-08-27 13:58:03 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=170cfbc62549e4a74077c4ec403baf35ec4d42f6

fdo#46808, Adapt document::DocumentProperties UNO service to new style
Comment 24 Not Assigned 2012-08-27 13:58:19 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4381f3dd5ae9e042840a16f69d07267208160420

fdo#46808, Use BreakIterator ::create method
Comment 25 Not Assigned 2012-08-27 13:58:35 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8638f1e72a3fe830c0e8dcc1bd847d4fb9e599ee

fdo#46808, Adapt script::Converter service code to new style
Comment 26 Not Assigned 2012-08-27 13:58:52 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7634d064adc2c773288cec751674ff691de20b2b

fdo#46808, Adapt UNO service registry::ImplementationRegistration
Comment 27 Not Assigned 2012-08-27 13:59:10 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=206c70eef30f7b6f538b88f7fb9505f397bef073

fdo#46808, Adapt TempFile UNO service to new style
Comment 28 Not Assigned 2012-09-03 13:58:16 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=10362695c2060f6aa48bd88f6b8dd6cfa556392a

fdo#46808, Adapt ModuleUIConfigurationManagerSupplier UNO service to new style
Comment 29 Not Assigned 2012-09-03 13:58:34 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7a464263cc5c2ca2b7128734ff4860e02d662818

fdo#46808, Adapt UICommandDescription UNO service to new style
Comment 30 Not Assigned 2012-09-03 13:58:56 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9b07288138228af56e58f50dc6ba50865b52fdfb

fdo#46808, Adapt xml::dom::DocumentBuilder UNO service to new style
Comment 31 Not Assigned 2012-09-03 13:59:16 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=278379697d82e4b4a3204e82fcdababebe2340f3

fdo#46808, Adapt io::Pipe UNO service to new style
Comment 32 Not Assigned 2012-09-03 13:59:39 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bc00717bb7a2b48885ca356fb0a966acbe72dca9

fdo#46808, Adapt system::SystemShellExecute UNO service to new style
Comment 33 Not Assigned 2012-09-03 13:59:58 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3a36408b73d8a9be43cd9f4570537ff1d80c0114

fdo#46808, Adapt util::NumberFormatter UNO service to new style
Comment 34 Not Assigned 2012-09-14 16:31:15 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=82e94dcaab4534f657458a2461033d686f10cb10

fdo#46808, Add @since tags to new IDL interfaces



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 35 Not Assigned 2012-09-14 16:32:35 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2e284203da7f9882842111265f5f68ea0a145065

fdo#46808, Adapt ucb::UniversalContentBroker UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 36 Not Assigned 2012-09-17 12:30:43 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=369e3fdcdafdb112a6963fb86fa4d4d0edb29c00

fdo#46808, Adapt i18n::LocaleData UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 37 Not Assigned 2012-09-17 12:31:03 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=900d60b3cd648be79aaaa84c992edf9953c0c7f9

fdo#46808, Adapt bridge::BridgeFactory UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 38 Not Assigned 2012-09-27 08:32:02 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cd693ff598bbabba66d8ca353a32bcbd81a5b12b

fdo#46808, Adapt frame::GlobalEventBroadcaster UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 39 Not Assigned 2012-09-27 13:07:00 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9c00e38b431b57c3760f6c0aa774424b3239eeda

fdo#46808, Adapt sdb::DatabaseContext UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 40 Not Assigned 2012-10-04 12:49:35 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c25cb8a641723ab098980bb842caf75c0dc9b059

fdo#46808, Adapt task::InteractionHandler UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 41 Not Assigned 2012-10-04 14:34:20 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a20f9a410fdd3f776f870434bc39219d5fc64b40

fdo#46808, Adapt xml::sax::XParser UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 42 Not Assigned 2012-10-22 15:04:12 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fb741b5e1e6aeaee74cf14af4f1cc152f0ab0952

fdo#46808, Adapt xml::sax::XWriter UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 43 Not Assigned 2012-10-22 15:04:34 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ceebced2baf8060d687a077e14935d206164ec4c

fdo#46808: Missing @since tag



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 44 Not Assigned 2012-10-22 15:20:27 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/binfilter/commit/?id=ab3e0975e1bf8d662e7d154de9313a491dc02b31

fdo#46808: Adapt to core css.xml.sax.Writer changes



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 45 Not Assigned 2012-10-23 08:30:17 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c988da288ec473a28f61ebb53aa3ff82bab11ef4

fdo#46808, Adapt ui::dialogs::FolderPicker UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 46 Not Assigned 2012-10-23 09:39:42 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f4776bf465ee682f65d1e978b031c928d9d310a5

fdo#46808, fix up some NumberFormatter createInstance calls I missed



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 47 Not Assigned 2012-10-23 10:13:22 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5aa2cd1d3f85958917f47523ee430af11ac1751d

fdo#46808, use service constructor for uri::UriReferenceFactory



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 48 Not Assigned 2012-10-23 11:10:49 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/binfilter/commit/?id=5945161bdfa46e76ca911fea2dc937f9fe95b074

fdo#46808: Adapt to core beans::Introspection changes



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 49 Not Assigned 2012-10-23 11:12:14 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b30ee83058793ea8fbb020e5ac8f118bd20853d5

fdo#46808, use service constructor for beans::Introspection



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 50 Not Assigned 2012-10-23 11:53:17 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=694562874b5b439cbace1b1f0ccb07c574f676a3

fdo#46808, Adapt packages::manifest::ManifestReader UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 51 Not Assigned 2012-10-23 12:19:53 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8aa5946afeac9d86f84239bd7ef101493059c3f5

fdo#46808, Adapt packages::manifest::ManifestWriter UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 52 Not Assigned 2012-10-23 13:29:20 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c0f865c9b5a34b272c9e0b22d18969554265914a

fdo#46808, use service constructor for i18n::BreakIterator



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 53 Not Assigned 2012-10-23 13:29:41 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a33dbc169037d985f104c83d01d5efd9982413de

Related fdo#46808: Fix pre-existing bug identified in previous commit



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 54 Not Assigned 2012-10-23 15:45:50 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b493b5a284d5a629d16e733197c7840fb33b469c

fdo#46808, use service constructor for xml::sax::Writer



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 55 Not Assigned 2012-10-23 15:46:13 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=432c0f491712870b82dcf5dee7b98fa5440bfa1a

fdo#46808, use service constructor for frame::ModuleManager



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 56 Not Assigned 2012-10-23 15:46:35 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5e9a7f1919663d22cb568b1afdc018ef6be0cc91

Related fdo#46808: Improve previous commit slightly



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 57 Not Assigned 2012-10-24 09:35:15 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/binfilter/commit/?id=3c9d49ef2b9fd4c46a6760e599f923e559d56a54

fdo#46808: Adapt to core comphelper::ConfigurationHelper changes



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 58 Not Assigned 2012-10-24 09:36:25 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e8aa70b5d44a6cbedacfe0e5d1b1da2c76a3c588

fdo#46808, convert comphelper::ConfigurationHelper to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 59 Not Assigned 2012-10-24 14:54:23 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4970e292fb44f482e84822fa97188bcbdfce2ed4

fdo#46808, convert comphelper::ConfigurationHelper to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 60 Not Assigned 2012-10-24 14:54:45 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f252b332dd2652abb02851ba0c2521c045787801

fdo#46808, renamet awt::XToolkit2 to XToolkitExperimental..



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 61 Not Assigned 2012-10-24 14:55:08 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=33a0f8ce656c8c5bb9c3c3deaa10c182e262b374

fdo#46808, Adapt awt::Toolkit UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 62 Not Assigned 2012-10-24 14:55:29 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d3efa1d00da2aba4474d785d0b88885686170884

Related fdo#46808: Improve previous commit slightly



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 63 Not Assigned 2012-10-24 14:55:50 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cc6ec92330ca304f7b8bdb6fb661317141b96882

Related fdo#46808: Adapt Windows-only code to previous changes



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 64 Not Assigned 2012-10-24 16:15:10 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d26f3acf2874f64fd89c8197163651443d4b1733

fdo#46808, use service constructor for system::SystemShellExecute



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 65 Not Assigned 2012-10-24 16:15:35 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=900dc2b70dc020fc077c300963a0746118820f06

Related fdo#46808: Improve previous commit slightly



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 66 Not Assigned 2012-10-24 16:15:54 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b8abd0368854329efb5ce91606e99fe448944ff9

fdo#46808, use service constructor for frame::DispatchHelper



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 67 Not Assigned 2012-10-24 16:16:16 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=22d3fb11c65dd0679aab780ca789d2d4d74deac2

Related fdo#46808: Improve previous commit slightly



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 68 Not Assigned 2012-10-24 16:16:42 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=13bedc55b1d533eadcfd4932ef57076e3642caaf

fdo#46808, use service constructor for frame::GlobalEventBroadcaster



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 69 Not Assigned 2012-10-26 09:23:43 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=402eaced7554aaeea75c10015857ea197191ba34

Related fdo#46808: Fix UUIInteractionHandler::initialize argument handling



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 70 Not Assigned 2012-10-29 16:35:03 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/binfilter/commit/?id=9e1d8c9cfa1197c4fa5685240549fed3134e4f7c

fdo#46808: Adapted to core CalendarWrapper changes



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 71 Not Assigned 2012-10-29 16:36:02 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9b63e4e6e46ee7560d99c3d4cff5e085efc14949

fdo#46808, use service constructor for frame::DispatchRecorderSupplier



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 72 Not Assigned 2012-10-29 16:36:25 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=39c556da3180bc507d9fae5e26bcdf81ea193938

fdo#46808, Create new-style frame::AutoRecovery service



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 73 Not Assigned 2012-10-29 16:36:48 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=eebcaa02585bda0656ca1032082c4dd676de732d

fdo#46808, use service constructor for task::JobExecutor



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 74 Not Assigned 2012-10-29 16:37:11 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d29818290376f10f318ba805a79643384b34986e

fdo#46808: Fix previous commit



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 75 Not Assigned 2012-10-29 16:37:33 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8fff6bf6bdab6b7addcbbf472a226706edda1edb

fdo#46808, Adapt i18n::LocaleCalendar UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 76 Not Assigned 2012-10-30 09:46:15 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e6abcd4fe7eb7cc12df372a298d06b57f822251f

fdo#46808, use service constructor for security::CertificateContainer



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 77 Not Assigned 2012-10-30 10:46:45 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=43d9f35c2665e55cfb5ee911a554ef71933ad4d1

fdo#46808, Adapt linguistic2::LinguServiceManager UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 78 Not Assigned 2012-10-30 10:47:17 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ddcf2363bad1d84874dfe4e31e4783ffd761d5bb

fdo#46808: Improve previous commit



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 79 Not Assigned 2012-10-31 14:35:55 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0ac9a10d312dc8f12a74720ce211823ce4addf7b

fdo#46808, Deprecate configuration::ConfigurationProvider old-style service



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 80 Not Assigned 2012-11-05 15:46:48 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1dedb15b17a8e8bf04f248809ef48db663034254

fdo#46808, Adapt xml::crypto::SEInitializer UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 81 Not Assigned 2012-11-05 15:47:09 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8ec2fed7c88674258ce716e69ae31d8f9be7223c

fdo#46808, use service constructor for ucb::Store



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 82 Not Assigned 2012-11-05 15:47:32 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b70a330d4f06daaeeff940b2f935c8089d8a7be6

fdo#46808, rename method



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 83 Not Assigned 2012-11-05 15:47:56 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=41a71413f4ebe69a48ee068fd5c785d6015c0cca

fdo#46808, use service constructor for ucb::PropertiesManager



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 84 Not Assigned 2012-11-05 15:48:18 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ec1c96a9b69a5a2546fe2564cd92fe9e33471fbc

fdo#46808,remove unnecessary MSF field from ucbhelper::ContentIdentifier



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 85 Not Assigned 2012-11-05 15:48:42 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d2c45d0460cf99aadde1aaec11e032f488fa277b

fdo#46808, Adapt i18n::Transliteration UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 86 Not Assigned 2012-11-05 15:49:04 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7c884716a7bac9ebb18c748cefb89426563a195e

fdo#46808: Slight simplifications of previous commit



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 87 Not Assigned 2012-11-05 15:55:02 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/binfilter/commit/?id=ce44bd325ea92465dc64c7733cc88a58fef6ec91

fdo#46808, Adapt i18n::Transliteration UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 88 Not Assigned 2012-11-05 17:10:44 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/binfilter/commit/?id=63f492b8333f5994294c8ea88fd8c5aa163ec6ff

fdo#46808, use service constructor for i18n::CharacterClassification



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 89 Not Assigned 2012-11-05 17:12:40 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0666e43c45876199ddc71e378554878cca6f0539

fdo#46808, use service constructor for i18n::CharacterClassification



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 90 Not Assigned 2012-11-05 17:13:04 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6eec9d651d875d64d11b63c2c2070475a17f8ce1

fdo#46808: Adapt odma_provider to recent commit



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 91 Not Assigned 2012-11-05 17:13:28 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=14ee630a1740543a1e03cb23740d6db0adfb0f8f

fdo#46808: Work around cyclic comphelper use in ucbhelper



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 92 Not Assigned 2012-11-05 20:45:18 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=65d4e59fedc4ce6b0aa1ead3f55cecf5921a0c6f

fdo#46808: Adapt macab driver to recent commit



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 93 Not Assigned 2012-11-06 07:24:20 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b50610f0fa35cf1a5f1e8f26f2a33dba5f0ffd01

fdo#46808 adapt GIO provider



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 94 Not Assigned 2012-11-06 07:24:42 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=efe0cbe6da64b2e150331112becade0ac3a53555

fdo#46808 adapt evoab driver



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 95 Not Assigned 2012-11-06 07:46:22 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=77ac46dcf20d5f0ca341e6a039551b8117c6571b

fdo#46808: Further fix of Windows-only odma_provider



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 96 Not Assigned 2012-11-15 07:31:19 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3f15a663b273e4a437fd68335d6eab2b11fc80c9

fdo#46808, use service constructor for i18n::TextConversion



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 97 Not Assigned 2012-11-15 07:31:41 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5837402fb1daa437d9a1a37edc9ede57319944f1

fdo#46808, use service constructor for ucb::SimpleFileAccess



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 98 Not Assigned 2012-11-15 07:32:04 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d2f6a87ac7adb3f60f7eae7c5a8f8a9076b7a75c

fdo#46808, use service constructor for i18n::NumberFormatMapper



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 99 Not Assigned 2012-11-24 19:25:09 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=db160a3cd5aa8d42ac90efd91b4c1825a9fe3156

fdo#46808: move com::sun::star:sdbc::DriverManager to new UNO-style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 100 Not Assigned 2012-11-27 09:48:06 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cc360f0a483e7c68ece7a30424f204d660d74b1c

fdo#46808: Missing adaptions to XFolderPicker2



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 101 Not Assigned 2012-11-27 17:21:19 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c2bbc9797c2fef9078c11460100996972bebd971

fdo#46808, use service constructor for i18n::NativeNumberSupplier



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 102 Not Assigned 2012-11-27 17:21:47 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9df0baaf0b2d0dc22b88d13848014b402937aac6

fdo#46808, convert i18n::BreakIterator impl to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 103 Not Assigned 2012-11-28 10:05:11 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=90a27e2eb905c1a4203a4a652315c16a60d8aa26

fdo#46808, use service constructor for ucb::SortedDynamicResultSetFactory



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 104 Not Assigned 2012-11-28 12:10:08 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7e708545e4e32910d93cd471eb8438dca4ab47b6

fdo#46808, remove some more XMultiServiceFactory fields



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 105 Not Assigned 2012-11-28 12:10:31 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=56ea15091c69d280310aa8b28bb1e9488eaad756

fdo#46808, use service constructor for i18n::Collator



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 106 Not Assigned 2012-11-28 12:10:54 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7470cc532fe408dc9d8735cde0e2eb5bb62fd69c

fdo#46808, Adapt reflection::ProxyFactory UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 107 Not Assigned 2012-11-28 12:11:19 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=38cc919efb965e7982d23d5b1c91a639cc2c6fdd

fdo#46808, use service constructor for sdbc::ConnectionPool



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 108 Not Assigned 2012-11-30 13:03:09 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f96db7d0ddeb737cf0e14eea6120daab860c54b7

fdo#46808, use service constructor for i18n::Collator



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 109 Not Assigned 2012-11-30 13:03:37 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=48f2b7a7af3d4e9bf1b3c27e9aa5e12e60878051

fdo#46808, convert ucbhelper::ResultSet to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 110 Not Assigned 2012-11-30 13:04:02 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2cf0f6ea36e1525193544258eef2828a54345510

fdo#46808, use service constructor for ucb::CachedDynamicResultSetStubFactory



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 111 Not Assigned 2012-11-30 13:04:29 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3d4288c1c0b593421c7f6619c88584bdb7c53337

fdo#46808, remove some more XMultiServiceFactory fields



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 112 Not Assigned 2012-12-06 11:23:35 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=773ad75b0dbc4dac1cae704c726b5a2d67ae1146

fdo#46808, Adapt util::NumberFormatsSupplier UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 113 Not Assigned 2012-12-06 11:40:08 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=495111b249e1ef17be96dbdfbc5a13de6d5dd5f9

fdo#46808, use service constructor for sdb::DatabaseContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 114 Not Assigned 2012-12-06 12:22:30 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=19854e653be1dc01f5b655fca851a6e3a651a940

fdo#46808, Adapt sdb::ErrorMessageDialog UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 115 Not Assigned 2012-12-10 06:33:11 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b8a403467e6209437c3c113ff2df95df6ffec61a

fdo#46808, Create new-style sdb::ReportDesign service



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 116 Not Assigned 2012-12-10 06:33:34 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d01fba6afc39092ae3ae85c38ac21bb7d26d63e2

fdo#46808, Adapt sdbc::ConnectionPool UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 117 Not Assigned 2012-12-10 06:33:56 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9fc4553b6433fbb6565a5b946c4256c0bfe345f1

fdo#46808, Adapt sdbc::DriverManager UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 118 Not Assigned 2012-12-10 06:34:19 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b9a4a0b9658015a0d55c42de1f5e56941e20d268

fdo#46808, Convert connectivity::SQLError to use XComponentContext...



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 119 Not Assigned 2012-12-10 06:34:44 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=24f0aa76c005d1506a6d13945c39dafc6e9b8d91

fdo#46808, use service constructor for embed::StorageFactory



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 120 Not Assigned 2012-12-10 10:03:34 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=da5180a926f03314f87dd2a48f811846a8f01f3c&g=libreoffice-4-0

fdo#46808, Adapt sdbc::DriverManager UNO service to new style


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 121 Not Assigned 2012-12-13 06:10:38 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2f998bdf8f5c504f09833febe0cd16ce743f57a5

fdo#46808, use service constructor for embed::FileSystemStorageFactory



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 122 Not Assigned 2012-12-13 06:11:01 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e52a5e298b55125534cd8548ed4c1f8b694bfef6

fdo#46808, use service constructor for ui::GlobalAcceleratorConfiguration



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 123 Not Assigned 2012-12-13 06:11:25 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9779ae8bdeffe1c296803dffefa0d69b0fb8f975

fdo#46808, use service constructor for ui::



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 124 Not Assigned 2012-12-13 06:11:48 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c1e42d60c572d23c61a703cd66495eab1cea4e05

fdo#46808, use service constructor for ui::WindowStateConfiguration



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 125 Not Assigned 2012-12-13 06:12:12 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bb8900baaaaa489442a5bd805bb42d43cd6fc152

fdo#46808, Create new-style ui::WindowContentFactoryManager service



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 126 Not Assigned 2012-12-13 06:12:35 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b552f521f6bbf917ae41ccfcddeb498c75c824e3

fdo#46808, Adapt ui::UIElementFactoryManager UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 127 Not Assigned 2012-12-13 06:12:59 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dde234b6955a421d51d2b37e4fc3972c660146f0

fdo#46808, remove awt::DisplayAccess service.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 128 Not Assigned 2012-12-21 07:18:23 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cd0b83b531e7cfa424299f1e263e08ff77e1a7a5

fdo#46808, Use service constructor for frame::UICommandDescription



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 129 Not Assigned 2012-12-21 07:18:46 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ecae523d9603eaf7ff0acc98682576813e50c94a

fdo#46808, Create new-style frame::ToolBarControllerFactory service



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 130 Not Assigned 2012-12-21 07:19:10 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e93a0018871ebea4da1959c72c06f3c7f4dc7b27

fdo#46808, Adapt frame::PopupMenuControllerFactory UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 131 Not Assigned 2012-12-21 07:19:35 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6e5cb64670936ec86067c48b96e6b51715b6f18c

fdo#46808, Adapt sdb::FilterDialog UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 132 Not Assigned 2012-12-21 09:02:56 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bb121c864cc3c101ef733a4088c7ba3e36eced14

fdo#46808, Convert frame::Desktop to new style service.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 133 Not Assigned 2013-01-09 06:14:38 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=42adbfccad151a29e56ea1ed8eeb323cd4b7dae4

fdo#46808, Adapt embed::HatchWindowFactory UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 134 Not Assigned 2013-01-09 06:15:01 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6cc2ceadbbb0d18688559ef745912ef86cd29add

fdo#46808, Adapt report::ReportEngine UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 135 Not Assigned 2013-01-09 06:15:24 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2e0d1719f285f293c6a4486895ab69b6d0e51f4c

fdo#46808, Add service factory method to ucb::AnyCompareFactory



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 136 Not Assigned 2013-01-09 06:15:48 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b498ff10d202287eabb27aa286c860cb766f8423

fdo#46808, convert some starmath code to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 137 Not Assigned 2013-01-09 06:16:12 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3a50e97499d0c1ff6307dcfe9883aea1af300947

fdo#46808, Adapt sdb::OrderDialog UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 138 Not Assigned 2013-01-09 06:16:37 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fd5a2eb07011e8aedfd5ef0a82edaf07221554ba

fdo#46808, new method OConfigurationTreeRoot::createWithComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 139 Not Assigned 2013-01-09 06:17:01 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=77d215ae2ed9bd08444a5128729066b6025bef27

fdo#46808, use new method OConfigurationTreeRoot::createWithComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 140 Not Assigned 2013-01-09 06:17:25 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ea638e605616a2db08f88e2e14d4928854834694

fdo#46808, convert DataSourceInfoConverter to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 141 Not Assigned 2013-01-09 06:17:49 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e88e974e7cd9d92ca338ba6c56baa0aa9a4b0636

fdo#46808, convert OGenericAdministrationPage::setServiceFactory



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 142 Not Assigned 2013-01-09 06:18:21 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0b6a0657491fdd126541018ac32810f80698ebd0

fdo#46808, use service constructor for i18n::Collator



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 143 Not Assigned 2013-01-09 06:18:45 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=46fe5e5e06dba9a450f9339b0bf662547a6966e4

fdo#46808, convert UnoControl and sub-classes to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 144 Not Assigned 2013-01-15 07:57:49 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1e618a8df61fd585d9e546148790b3856bf9c68d

fdo#46808, Adapt ui::AddressBookSourceDialog UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 145 Not Assigned 2013-01-15 07:58:14 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=435989ad0616a36d03975096919721e8506f5516

fdo#46808, use service constructor for awt::TabController



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 146 Not Assigned 2013-01-15 07:58:38 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e7018375cdf0e5e542631df9dee6023ff80b7840

fdo#46808, Adapt frame::StartModule UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 147 Not Assigned 2013-01-15 07:59:03 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=92f14ced5e6f613772792d863a8c2cfeddfdae04

fdo#46808, Adapt frame::TaskCreator UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 148 Not Assigned 2013-01-15 07:59:27 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=54f141882400731e75d25ac137fa516d9093f4fc

fdo#46808, Adapt frame::SessionListener UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 149 Not Assigned 2013-01-15 07:59:52 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2fe852386c9450014f84910b0a282d684f40b56a

fdo#46808, Adapt SystemClipboard UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 150 Not Assigned 2013-01-15 08:00:17 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f6c759a6e5ead55b857e5d4898aa423b7616e816

fdo#46808, Adapt chart2::data::LabeledDataSequence UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 151 Not Assigned 2013-01-15 08:00:42 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=549578a4ea996260437b355c39896593afc60726

fdo#46808, Convert services in i18npool to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 152 Not Assigned 2013-01-15 08:01:07 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=28f0a6de18d79432d30becdd20d25301f93e86e9

fdo#46808, Remove unnecessary call to getProcessServiceFactory



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 153 Not Assigned 2013-01-15 08:01:32 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=23ef230fa0db1f6599ef22edc25e5ce16cc43c41

fdo#46808, Use service constructor for presentation::SlideShow



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 154 Not Assigned 2013-01-15 08:01:57 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=64fc0ccde17bbe80fb25f9e07ba68f6aa304c3ef

fdo#46808, Convert starmath/mathmlimport to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 155 Not Assigned 2013-01-15 08:02:22 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=251f1b0b38be7d1267339898e44e320f05849e22

fdo#46808, Adapt embed::*EmbeddedObjectCreator UNO services to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 156 Not Assigned 2013-01-15 08:02:47 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=abcbababca2ff10bb78d36cf1a625b9d615eaa9a

fdo#46808, Convert comphelper::MimeConfigurationHelper to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 157 Not Assigned 2013-01-15 09:04:45 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2a90016e87478543c791e3de2bb1f67318f4f236

fdo#46808, fixes for windows build



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 158 Not Assigned 2013-01-15 10:07:00 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=63d0f95dd61ea85da08c6be0b53f323e57069f3f

fdo#46808, fixes for windows build



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 159 Not Assigned 2013-01-28 09:12:56 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1a92a885d65860b4b09b426bb4b10f7a6a336571

fdo#46808, Convert some bits to new-style UNO



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 160 Not Assigned 2013-01-28 09:13:22 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4b37df18a18b61521e5fcbf358c6bc85639abdfc

fdo#46808, Adapt setup::UpdateCheckConfig UNO services to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 161 Not Assigned 2013-01-28 09:13:48 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=49cf14a3ca8dceed39baead918b1ddaaab5f4ab3

fdo#46808, Adapt document::GraphicObjectResolver UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 162 Not Assigned 2013-01-28 09:14:15 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=29f17580a59421d7dd5f8c6bef980ae30cc63bb6

fdo#46808, Convert svl/lockfile code to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 163 Not Assigned 2013-01-28 09:14:40 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=614e31aa24b51a6e4f5c4f26d51b3d880db643b1

fdo#46808, Adapt sdb::TableDefinition UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 164 Not Assigned 2013-01-28 09:15:06 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4ce614f50b572f5e80c1d26e7ffe72c1bb07a0d9

fdo#46808, convert some code to use getProcessComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 165 Not Assigned 2013-01-28 09:15:34 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=83235caca899ba8088a24b8713ba49f52e4ba8ec

fdo#46808, convert code to use new-style service constructor



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 166 Not Assigned 2013-01-28 09:16:00 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b772eb0c728a06bdf72866ef61f800bbf7ec15a9

fdo#46808, Adapt document::FilterConfigRefresh UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 167 Not Assigned 2013-01-28 09:16:26 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f95a7c2c6d5c2158de12bb3ca6fd94b139e33c62

fdo#46808, Convert SvNumberFormatter to use XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 168 Not Assigned 2013-01-28 09:16:54 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ce1b932bba8f90363399a9fa6515b91d7d679efa

fdo#46808, don't cache the result of comphelper::getProcessComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 169 Not Assigned 2013-01-28 09:17:20 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=77856e81ce4d279f00d0f92e917099f4f5220034

fdo#46808, Adapt document::*PropertyValues UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 170 Not Assigned 2013-01-28 09:40:11 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ff6ad8900b30b50eca4a1bd5d051eac216d76f96

fdo#46808, make MacOS tinderbox happy



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 171 Not Assigned 2013-01-28 10:13:01 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5a8ec562ccdc1c741ebb607e07c96e7182f147a0

fdo#46808, fix calling convention



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 172 Not Assigned 2013-02-11 07:00:28 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=eb2f8c5a63df0bfcd3cc13b2071ea2194fa425f0

fdo#46808, use linguistic2::LanguageGuessing service constructor



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 173 Not Assigned 2013-02-12 08:20:42 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e2ab5539a4a68f443cf7f77784a820e280fc969f

fdo#46808, convert i18n::InputSequenceChecker to new-style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 174 Not Assigned 2013-02-12 08:21:08 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=790b0c4d5328ccdb6e57206f1db2cd042335c635

fdo#46808, convert i18n::OrdinalSuffix to new-style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 175 Not Assigned 2013-02-12 08:21:36 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=37ef449b93750b6101cf04b8112fa2ef64ba38ff

fdo#46808, Adapt animations::SequenceTimeContainer UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 176 Not Assigned 2013-02-12 08:22:04 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f1204419af34b1d2f0ecaa69ceeb1f8c8a7d87df

fdo#46808, Adapt document::XMLOasisBasicImporter UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 177 Not Assigned 2013-02-12 08:22:31 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a6a8a8707b6ae111f94bac094d3c2909f523ca6f

fdo#46808, convert xmloff module code to use XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 178 Not Assigned 2013-02-12 08:22:58 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=53ec703c14470cb18845fc4483ec36c13b0d744e

fdo#46808, Adapt linguistic2::DictionaryList UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 179 Not Assigned 2013-02-12 08:23:25 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4b51374a7021d52f7f1be1861e2ee6a011b30ecd

fdo#46808, Adapt ui::dialogs::FilePicker UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 180 Not Assigned 2013-02-12 08:23:52 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b0e7466f9d9dd952b081202145f8a831ce742c76

fdo#46808, script::DocumentScriptLibraryContainer needed a new constructor



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 181 Not Assigned 2013-02-12 08:24:20 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a74854cb9aaeb260175d3174185631fc5d37bf9b

fdo#46808, script::DocumentDialogLibraryContainer needed a new constructor



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 182 Not Assigned 2013-02-12 08:24:47 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=36d0933b6689c31abe65c1fdfa10d18e22d1e958

fdo#46808, convert some svtools code to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 183 Not Assigned 2013-02-12 08:25:14 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4d23fcf0c0444aaa8b3d6ad99f0d741a80a2a247

fdo#46808, Adapt cui::ColorPicker UNO service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 184 Not Assigned 2013-02-12 08:25:42 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2969846c29402baec792e43cfd4524366fb05613

fdo#46808, convert some code to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 185 Not Assigned 2013-02-12 08:26:10 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=851067c2684c68758afeaa7da23bb6dd69c51358

fdo#46808, use constructor for datatransfer::MimeContentTypeFactory



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 186 Not Assigned 2013-02-12 08:26:38 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0e286f768ed028ce91bb4730010363dac30acec6

fdo#46808, use constructor for datatransfer::DataFormatTranslator



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 187 Stephan Bergmann 2013-02-18 08:34:43 UTC
[removed EasyHack tag; what's left is mostly corner cases that are rather difficult to decide how to handle properly]
Comment 188 Not Assigned 2013-02-19 08:41:47 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=503ee06fb843ac4ace017fde1b8a10c3c0501bc6

fix up some of my fdo#46808 changes



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 189 Not Assigned 2013-03-04 08:18:50 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fcd01fba69db6de6cfc983fae65b6ba6764de0d6

fdo#46808, create IDL for awt::tree::DefaultTreeDataModel



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 190 Not Assigned 2013-03-04 08:19:19 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=587c294daba76f89f8de17e86ab0cae495123997

fdo#46808, convert some code in svtools to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 191 Not Assigned 2013-03-04 08:19:49 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=57dbe20c2bfa0cf5ced0826f61a130414c948f83

fdo#46808, clean up some old queryInterface() calls



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 192 Not Assigned 2013-03-04 08:20:18 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fb0f7c2415321a3bcae00802b98ae76144ea4e79

fdo#46808, convert singleton util::theOfficeInstallationDirectories



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 193 Not Assigned 2013-03-04 08:20:47 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b313e37a92a18bc663ea5eb97ea0a569c6b0a962

fdo#46808, convert xforms::Model to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 194 Commit Notification 2013-03-04 12:25:14 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4633b07bed7d71d1ab9d7fa30d979f054043958b

fdo#46808, remove some unnecessary getProcessServiceFactory calls



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 195 Commit Notification 2013-03-04 12:25:44 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=89d4ecc16e7e9501f357a26de50b3318d24446f3

fdo#46808, Convert frame::DispatchRecorder to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 196 Commit Notification 2013-03-04 12:26:14 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c4c736c2a4c9852f8ef8257c36d7b5481aa9e83a

fdo#46808, Convert the menu classes in framework to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 197 Commit Notification 2013-03-04 12:26:44 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=244c7cdede13980c29850b7b68e9da16cdc61879

fdo#46808, convert task::StatusIndicatorFactory to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 198 Commit Notification 2013-03-04 12:27:14 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dc00ad1e823e3b36619cd04c7e4d169362e199b3

fdo#46808, Use service constructor for task::InteractionHandler



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 199 Commit Notification 2013-03-07 06:29:30 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cd8ea20aa4b85128956a79c80f7953d30e99e802

fdo#46808, Convert ui::UIConfigurationManager to new-style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 200 Commit Notification 2013-03-07 06:29:58 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a3bb733ec6c6af04041c0b2a9849df22c26b3d29

fdo#46808, Convert singleton theMasterScriptProviderFactory



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 201 Commit Notification 2013-03-07 06:30:28 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b70c3ec8f7575ed39e180854f8a7de91b9f05d49

fdo#46808, remove unnecessary XMultiServiceFactory usage



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 202 Commit Notification 2013-03-07 06:30:56 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=68a5b26425ce97f099fdd002c358acf4aba86a97

fdo#46808, Use service constructor for document::DocumentProperties



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 203 Commit Notification 2013-03-07 06:31:27 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=30caf94d816dfcf9a5bc8cb5198c977d7021c369

fdo#46808, Convert ui::dialogs::AddressBookSourceDialog to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 204 Commit Notification 2013-03-07 06:31:56 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e70c068ba413564067f17107b0773910ced760d1

fdo#46808, Convert text:: and drawing:: ModuleDispatcher service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 205 Commit Notification 2013-03-07 06:32:25 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e721452988b54eb2e02c3885fde288be70bcf1f1

fdo#46808, small cleanups



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 206 Commit Notification 2013-03-07 06:32:55 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f084fc5c80ad8b57f7a22a2a5fc506f90e0e24b8

fdo#46808, simplify OConfigurationTreeRoot constructor



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 207 Commit Notification 2013-03-07 06:33:25 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8c31a6baf06e711d5e45d477abedfa6afb7ffe51

fdo#46808 use document::DocumentRevisionListPersistence constructor



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 208 Commit Notification 2013-03-08 14:47:30 UTC
GergÅ Mocsi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f6c8220f5c14be8ebacd146d2775b4594efea043

fdo#46808, Adapt UNO services to the new style, Part 1-2



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 209 Commit Notification 2013-03-20 05:39:31 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=70e7bd63adda4c17a47fd7caeacdf5b91ace6157

fdo#46808, Convert text::AutoTextContainer to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 210 Commit Notification 2013-03-20 05:40:02 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=524cedbd307e73badd3c6e64ae290922c75fd2dd

fdo#46808, Convert linguistic2::ProofreadingIterator to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 211 Commit Notification 2013-03-20 05:40:32 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8d83827d94266a08e999047151d6cd691acc6e46

fdo#46808, Convert XSLTFilterDialog to new-style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 212 Commit Notification 2013-03-20 05:41:03 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d93543f495b71ddc0536b86a4cc3fb1410418b61

fdo#46808, Convert i18n::IndexEntrySupplier to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 213 Commit Notification 2013-03-20 05:41:35 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4f26b7a6d1524e2feccd6d5fe8f70ea8c1bed80e

fdo#46808, Convert frame::Bibliography to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 214 Commit Notification 2013-03-20 05:42:05 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e655c756c48f3ba21e18eae6b705432e5dd37a08

fdo#46808, cleanup some usage of comphelper::getProcessServiceFactory()



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 215 Commit Notification 2013-03-20 05:42:36 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=24d53ed075b9c904c6947cf3ca7096d3d4a70bce

fdo#46808, Convert sdb::TextConnectionSettings to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 216 Commit Notification 2013-03-20 05:43:07 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=286a86221b0b666fb9c54ffc30fdf1fd99a1316d

fdo#46808, Convert sdb::TextConnectionSettings to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 217 Commit Notification 2013-03-20 05:43:38 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3475d91b1ac97d45f6337b9560491f25b3672549

fdo#46808, cleanup some usage of getProcessServiceFactory()



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 218 Commit Notification 2013-03-20 05:44:09 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=51a2b574bf6e163d34d2301c2b526a09cd7ff1aa

fdo#46808, API CHANGE: update ScannerManager service



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 219 Commit Notification 2013-03-20 05:44:40 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b4b0b400071a0fd12587334e3b9d615f35be671b

fdo#46808, cleanup some usage of getProcessServiceFactory()



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 220 Commit Notification 2013-03-20 05:45:12 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=23a16f5d3856d6eb61d599af9e47add4c456bfb2

fdo#46808, convert graphic::PrimitiveFactory2D to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 221 Commit Notification 2013-03-20 05:45:45 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c09c64ede6a395ad4cc5a263e88d5e180b890127

fdo#46808, convert drawing::GraphicExportFilter to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 222 Commit Notification 2013-03-20 05:46:16 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6999a50efaaf802ccd4c7eb7957af17cc32602be

fdo#46808, convert some getProcessServiceFactory()



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 223 Commit Notification 2013-03-20 05:46:50 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a066525b42a1ab8dc60e10a5d62819c259904f32

fdo#46808, Convert a bunch of comphelper::ComponentContext stuff



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 224 Commit Notification 2013-03-25 08:39:52 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d08f360e6debc38868e84030a8ec3ed401803754

fdo#46808, convert extension from deprecated interface



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 225 Commit Notification 2013-03-25 08:40:24 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5b982b69363f0f067fe4a0f679528ce1c5a2eafc

fdo#46808, Convert sdb::application::MacroMigrationWizard to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 226 Commit Notification 2013-03-25 08:40:57 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8172eaf8dcd2da6827f0a0445e98b947d0eac9be

fdo#46808, use service constructor



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 227 Commit Notification 2013-03-25 08:41:29 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=905501b635db939874b3c8787b7c0677afcbd9ab

fdo#46808, convert sdb::CommandDefinition to new-style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 228 Commit Notification 2013-04-02 10:59:56 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a789a2fc94ec84d34dafb328c53dd0eaaa8ca4a0

fdo#46808, convert sdb::QueryDesigner to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 229 Commit Notification 2013-04-08 12:02:54 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=002aab309055b7feeeeeb25c1835b6abe6646729

fdo#46808, convert sdb::tools::ConnectionTools to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 230 Commit Notification 2013-04-08 12:03:26 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3cfecf8427c529c7c1d32be2b361934b63fa6933

fdo#46808, Convert beans::PropertyBag to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 231 Commit Notification 2013-04-08 12:03:58 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=82a1cfbd6745aab76a8d959eb5878e2455715505

fdo#46808, use service constructor for document::FilterConfigRefresh



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 232 Commit Notification 2013-04-08 12:04:31 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4cac11f8267f2f1fab2da4eb20098b193c001084

fdo#46808, cleanup



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 233 Commit Notification 2013-04-08 12:05:03 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=332b42860ed5503f4661d38e2745191b7039c275

fdo#46808, convert xforms::XForms to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 234 Commit Notification 2013-04-08 12:05:36 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=34da7fbcc643ad209290c6da456dbfb17aeb9ac0

fdo#46808, convert embed::MSOLEObjectSystemCreator to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 235 Commit Notification 2013-04-08 12:06:08 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=86fdce60115014ddfae05993ef43686c9dbd6004

fdo#46808, Convert svt::ToolboxController to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 236 Commit Notification 2013-04-08 12:06:41 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c68b934cd03e60ab6e0579108089b0e834ac47ad

fdo#46808, Convert framework::ToolBarManager to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 237 Commit Notification 2013-04-08 12:07:13 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b248624126c271c88381d3dad6e04fc954f65779

fdo#46808, Convert frame::Frame to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 238 Commit Notification 2013-04-23 14:13:29 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=30c466d395aaa4d0516adca739dd5907607be027

fdo#46808, convert to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 239 Commit Notification 2013-04-23 14:14:05 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6dd58cd811f888aa2158242f08bed5ce9e8fd340

fdo#46808, remove unnecessary XMultiServiceFactory from svx::ControllerFeatures



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 240 Commit Notification 2013-04-23 14:14:41 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dbb4d4dd98c623c5c9309961ebb0548898b111e1

fdo#46808, convert svx::FindTextFieldControl to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 241 Commit Notification 2013-04-23 14:15:16 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1dec1f2f7efc579dedaec0535e3a750945039019

fdo#46808, convert framework::AddonsToolBarWrapper to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 242 Commit Notification 2013-04-23 14:15:52 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9ffb86c7e93c1633866ed89f0749831fd7f31a35

fdo#46808, convert drawing::ColorTable to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 243 Commit Notification 2013-04-23 14:16:26 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1165aac95b8e44f41fc16a44bfec4c1c05801ac8

fdo#46808, convert form::Forms to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 244 Commit Notification 2013-04-23 14:17:04 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=da0e902ab4b397b90264866c705a2b66412c3d6e

fdo#46808, convert svx::DbGridControl to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 245 Commit Notification 2013-04-23 14:17:42 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fe46fc0f27ad5dac188517ff3f76bb1604aeeac1

fdo#46808, remove unnecessary XMultiServiceFactory fields



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 246 Commit Notification 2013-04-25 07:00:01 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=73adc9b6e29a3e005d7c2e98795045e7025325c2

fdo#46808, Convert form::ControlFontDialog to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 247 Commit Notification 2013-04-25 07:00:36 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3086d847d9ac8dbb228c10047fd7ecaa32a45263

fdo#46808 Remove unnecessary getProcessServiceFactory() call



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 248 Commit Notification 2013-04-25 07:01:12 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=378c038918ca6c7adecf73f49e627c75ebd0e43a

fdo#46808 Convert animations::ParallelTimeContainer to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 249 Commit Notification 2013-04-25 09:10:05 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=746784e16f31133e4dc4e062fa5b7f1620e8cda6

fdo#46808 Convert awt::Pointer to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 250 Commit Notification 2013-04-25 12:48:35 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6f0b59e36437b8962769559dc4aabaaba897df00

fdo#46808, Convert some XMultiServiceFactory to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 251 Commit Notification 2013-04-25 12:49:11 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=725d23bee0a32eb19554efb5204789b6eb500b03

fdo#46808, Convert animations::AnimateColor and AnimateSet to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 252 Commit Notification 2013-04-25 12:49:46 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a66fd8a99a8c783e4782c487666369c2e567bb95

fdo#46808, Convert animations::Audio and IterateContainer to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 253 Commit Notification 2013-04-25 12:50:23 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c3eb3de42649a127490da40aa7774c29dc50281a

fdo#46808, Convert animations::Command to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 254 Commit Notification 2013-04-25 12:51:01 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7709511aed6655c8f283db912513626850493eff

fdo#46808, Convert animations::AnimateMotion to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 255 Commit Notification 2013-04-25 12:51:39 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3286827b38ce6f6aff2da123e9f246ad923932cd

fdo#46808, Convert some XMultiServiceFactory to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 256 Commit Notification 2013-05-06 09:35:04 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e4f37435a0fdd66b2d58633c991c6df720790f39

fdo#46808, Use service constructor for uri::ExternalUriReferenceTranslator



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 257 Commit Notification 2013-05-06 09:35:42 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=135d20caa4178c3a6d7682b547c5da6d58310f01

fdo#46808, Convert SystemClipboardExt service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 258 Commit Notification 2013-05-06 09:36:21 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=647f348c62d0a08fc26625aa58708fe9495d6904

fdo#46808, Use service constructor for rendering::CanvasFactory



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 259 Commit Notification 2013-05-06 09:37:00 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6e0d0934d0cbb74bb5a4fbf05b4448832f6d4722

fdo#46808, Convert some XMultiServiceFactory to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 260 Commit Notification 2013-05-06 09:37:38 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=46662428b2b17043e1d09c4107e7a5c0cf490b86

fdo#46808, Convert graphic::Primitive2DTools to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 261 Commit Notification 2013-05-06 14:17:24 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=690a5546138cb94100868d9303ef7b702b421b8e

Revert "fdo#46808, Convert SystemClipboardExt service to new style"



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 262 Commit Notification 2013-05-08 06:12:04 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=48ad2f61fe71edc1a8967b322d3e0f368f4be06f

fdo#46808, Convert some code to getProcessComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 263 Commit Notification 2013-05-08 06:12:43 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2c625e036ddaadb71db36f3e44c737b069e6fcb4

fdo#46808, Use service constructor for rendering::MtfRenderer



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 264 Commit Notification 2013-05-08 06:13:21 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=782bbfc65666272497f9c36a9c59d8b32231aa06

fdo#46808, Convert graphic::SvgTools to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 265 Commit Notification 2013-05-08 06:13:59 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ae0cb395d8e2b887054e5cfd4fc5525a94fab240

fdo#46808, Convert ZipFileAccess service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 266 Commit Notification 2013-05-13 07:45:05 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=86c1ebc1ef4a90e9bc58fb69c2d1d978765a34ca

fdo#46808, Convert util::PathSettings service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 267 Commit Notification 2013-05-13 07:45:42 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c50c240e4048bd5c3d5017138ff37893476cc74f

fdo#46808, Convert some XMultiServiceFactory to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 268 Commit Notification 2013-05-13 07:46:19 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a39c96af53ec3364de70012ebfa7c09c4a55a7c3

fdo#46808, Convert sheet::GlobalSheetSettings service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 269 Commit Notification 2013-05-13 07:46:58 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5d1ad167294878789e644452f23ef883af93fe87

fdo#46808 Convert chart2::FormattedString service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 270 Commit Notification 2013-05-13 07:47:34 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=088e86b865062dd4cc5ba0c85c6068dea62238db

fdo#46808, Convert some chart2 services to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 271 Commit Notification 2013-05-13 07:48:12 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=49e422e58e3193f1614298eb61c756abb299330f

fdo#46808, Convert ui::UICategoryDescripion to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 272 Commit Notification 2013-05-14 06:16:23 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ef0af5032ad283ffb3b4521eb097a118d58f332a

fdo#46808, Convert linguistic2::LingProperties to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 273 Commit Notification 2013-05-14 06:17:00 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=357e1c0f8dc6efc9ef05d635173dd32a617e1708

fdo#46808, Convert setup::UpdateCheck service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 274 Commit Notification 2013-05-14 06:17:37 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4481f5d4bcf0ba5b5d02c1dbff6d24d1e5301ff6

fdo#46808, Replace some XMultiServiceFactory with XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 275 Commit Notification 2013-05-14 06:18:16 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0394cb37a2d378511f265004b285fd93df37e5ca

fdo#46808, Convert ui::ImageManager to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 276 Commit Notification 2013-05-14 06:18:53 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0fd6fc3776ada4682e7286f9a0aaaf4c07b42643

fdo#46808, Convert some XMultiServiceFactory to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 277 Commit Notification 2013-05-14 06:19:31 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=67042f1f0314da51dbea6602ddcdd0a4ab347bc7

fdo#46808, replace XMultiServiceFactory with XComponentContext is SfxLibrary



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 278 Commit Notification 2013-05-14 06:20:10 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4460f213df777f569fa2a2091885c29c7653637f

fdo#46808, use XComponentContext in SfxLibraryContainer



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 279 Commit Notification 2013-05-14 07:22:05 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3abe867790a1a896e30e9887546aef8b9e651b53

fdo#46808, fix call to sdb::tools::ConnectionTools



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 280 Commit Notification 2013-05-14 11:44:34 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8bf8a2f3493273cb408ef86c5d971e18fa8fc40b

fdo#46808, Convert script::InvocationAdapterFactory to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 281 Commit Notification 2013-05-14 11:45:13 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c75a46fbd0ba4daf857fcd7d70badeed5aae8e28

fdo#46808, use DialogProvider service constructor



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 282 Commit Notification 2013-05-14 11:45:50 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=708cab47c4457637f87815750a026168b3f10c84

fdo#46808, propogate XLinguProperties through some more code



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 283 Commit Notification 2013-05-15 06:33:32 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=33b4dc22f84e8f950b73daceb7339cfecf7fab81

fdo#46808, Use service constructor



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 284 Commit Notification 2013-05-15 06:34:11 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b12dab7bd204e65323079cc6809417c9b5dcb656

fdo#46808, Convert some XMultiServiceFactory to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 285 Commit Notification 2013-05-15 06:34:50 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bae42fd6dac1d6fa8330eeede66ec22cddb82311

fdo#46808, Convert chart2::RegressionEquation service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 286 Commit Notification 2013-05-15 06:35:29 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=be1833cbc497080af531a207f216a4f560c0b9e9

fdo#46808, Convert singleton theBrowseNodeFactory to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 287 Commit Notification 2013-05-15 06:36:09 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6f2a33332d401ef5d9f08dd9c079383283cd8910

fdo#46808, Use service constructors



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 288 Commit Notification 2013-05-15 06:36:48 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3e563377333881efa60aaa93d2feeaf647cf19ff

fdo#46808, More LinguProperties fun



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 289 Commit Notification 2013-05-21 06:35:46 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6c61b20a8d4a6dcac28801cde82a211fb7e30654

fdo#46808, Convert awt::UnoControlDialogModel to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 290 Commit Notification 2013-05-21 06:36:25 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=be50ad28f5bbdaeff527f646481ce263843c2401

fdo#46808, Convert awt::XUnoControlDialog to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 291 Commit Notification 2013-05-21 06:37:04 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5ab3015aaec7bea309721fcf04af06c8c1519fcb

fdo#46808, Clean up old usages of ExtToolkit



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 292 Commit Notification 2013-05-21 06:37:44 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dfc49e043bf2efa7c07b8f89af1f64de2e7f7b0e

fdo#46808, GetStorageFromURL now takes an XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 293 Commit Notification 2013-05-21 06:38:23 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f2bc5c6229e8e72feb3dd887b6d509e52d666c0c

fdo#46808, Convert various chart2:*Scaling services to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 294 Commit Notification 2013-05-21 06:39:02 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d256dbede60533369d1aac64cca34721183f6a8a

fdo#46808, Convert chart2::Title service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 295 Commit Notification 2013-05-21 08:26:23 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d5ac8a01b286051d417eb998f3d1b90b0bf492f6

fdo#46808, Use service constructors



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 296 Commit Notification 2013-05-21 08:27:02 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=895c1bcc811813ba32d865974b7172cb288074dc

fdo#46808, fix unit test



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 297 Commit Notification 2013-05-21 11:57:01 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2750fe97c5a2c5b374542e3383dfc75ec099c7af

fdo#46808, Convert some XMultiServiceFactory to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 298 Commit Notification 2013-05-21 11:57:41 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=823377b707fda94222a99b6710363f392fd9e4dd

fdo#46808, Convert chart2::*RegressionCurve services to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 299 Commit Notification 2013-05-21 11:58:22 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d4d16d8a27517930bdc9e9a308da287d367dd622

fdo#46808, Remove unnecessary XMultiServiceFactory member



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 300 Commit Notification 2013-05-21 11:59:03 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a986eddb9b9d1de71ae1c6f73246e493cc449c21

fdo#46808, Convert oox.ExcelFilterExport service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 301 Commit Notification 2013-05-21 11:59:44 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=02021163dbbcc8904da0b2138c8b53684dcc8ab4

fdo#46808, Convert oox::PowerPointExport service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 302 Commit Notification 2013-05-21 12:53:43 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=884217479de20e2ff5217a0829d678f416fb8505

fdo#46808, Convert more XMultiServiceFactory to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 303 Commit Notification 2013-05-21 15:34:14 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e9679a4a769e1edcc9c41c96de5739286323be79

Revert "fdo#46808, Create new-style frame::ToolBarControllerFactory service"



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 304 Commit Notification 2013-05-21 15:34:55 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f4bccae9eb48d36de9edd1fa5551e5e8de85b17e

Revert "fdo#46808, Adapt frame::PopupMenuControllerFactory UNO service"



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 305 Commit Notification 2013-05-22 13:26:32 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=122e4bc598e2d7d1a3e5cef4c45cda94ca7cfd9b

fdo#46808, XMultiServiceFactory to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 306 Commit Notification 2013-05-22 13:27:13 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1a2ab98ab809a13cb01a33de15fb288c76103e5e

fdo#46808, Convert XMultiServiceFactory to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 307 Commit Notification 2013-05-22 13:27:55 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fe9f937f46773b6978a8774ba40c971ea7acc500

fdo#46808, Convert XMultiServiceFactory to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 308 Commit Notification 2013-05-22 13:28:38 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8c249489120c9ef0a25436d16c38cbe3756adff1

fdo#46808, Convert XMultiServiceFactory to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 309 Commit Notification 2013-05-22 13:29:22 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7298a2b0c721004b09a0fd3c7e287d655f42286b

fdo#46808, Convert XMultiServiceFactory to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 310 Commit Notification 2013-05-22 13:30:06 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fe1ac1bf904ec7905187c3c3a5fe6a90f31f94e7

fdo#46808, convert XMultiServiceFactory to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 311 Commit Notification 2013-05-22 13:30:50 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a726677724a5a8dd6ae39d5a7a829c2ed62f3efd

fdo#46808, Convert XMultiServiceFactory to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 312 Commit Notification 2013-05-23 08:45:43 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d28f2cfcce9d551c88b2a45df840788797163db6&h=libreoffice-4-1

Revert "fdo#46808, Convert chart2::Title service to new style"


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 313 Commit Notification 2013-05-23 08:46:26 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f30399c540f01f16f097b86ff518251324d558d7

Revert "fdo#46808, Convert chart2::Title service to new style"



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 314 Commit Notification 2013-05-25 09:52:02 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1b6678993c905df231147d55e4fc9a9b15406812&h=libreoffice-4-1

Revert "fdo#46808, Convert awt::UnoControlDialogModel to new style"


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 315 Commit Notification 2013-05-25 09:52:46 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e36f83d81c462e1a5959b160886e481a8d449494

Revert "fdo#46808, Convert awt::UnoControlDialogModel to new style"



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 316 Commit Notification 2013-05-28 06:14:30 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1d1825db869d3c633ec222fdaa7e4a813ac0627a

fdo#46808, Convert awt::UnoControlDialog to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 317 Commit Notification 2013-05-28 06:15:13 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=95ec16b513c979fd78d2f11d23157a4b8819d848

fdo#46808, Convert frame::LayoutManager service to new sty;e



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 318 Commit Notification 2013-05-28 06:15:56 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aff5c4d76b7a876e9ce9e0b70bb52864dd65be24

fdo#46808, Use service constructor



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 319 Commit Notification 2013-05-28 06:16:41 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8f3cec9d7a50f33c7be5191656720e463712dd83

fdo#46808, Convert ui:*AcceleratorConfiguration to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 320 Commit Notification 2013-05-28 06:17:25 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=052de9c16bc4018d2ae3edc6282267e04d3956ac

fdo#46808, Convert some XMultiServiceFactory to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 321 Commit Notification 2013-05-28 06:18:12 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5835d8d2716448fb5549e7bae433704143d63e84

fdo#46808, Convert some XMultiServiceFactory to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 322 Commit Notification 2013-05-28 06:18:56 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e0fc16f769efc7b0c0b517a80523bb4e2c87b618

fdo#46808, Convert some XMultiServiceFactory to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 323 Commit Notification 2013-06-03 08:03:39 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a8a35e54f506ae22a0ac8f80aa824813260de000

fdo#46808, Convert frame::AppDispatchProvider to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 324 Commit Notification 2013-06-03 08:04:22 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=30dd9b2ff564e90a415603694b07b6c43491787c

fdo#46808, Convert SfxFrameLoader service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 325 Commit Notification 2013-06-03 08:05:06 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0f627e06c93e85de02a69a225b66be430bcbea36

fdo#46808, Convert form::TabOrderDialog service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 326 Commit Notification 2013-06-03 08:05:53 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d7fa9ca787ee0ec5d0b9f2989f547ff37791afc6

fdo#46808, Convert FrameLoaderFactory and ContentHandlerFactory to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 327 Commit Notification 2013-06-03 08:06:37 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1f79707438d84ba639a2c601ae9d25c4647d37f6

fdo#46808, Convert office::Quickstart service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 328 Commit Notification 2013-06-03 08:07:20 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e6c13f2846c684410e060701cbf1deb9bcaec890

fdo#46808, Convert XMultiServiceFactory to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 329 Commit Notification 2013-06-03 08:08:05 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=65edd1c8a87abf3cfeaaa6490795be0d06049bea

fdo#46808, Convert ComponentContext to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 330 Commit Notification 2013-06-03 08:08:49 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2e152c2438818049b50dcc7b322089af4bcfc384

fdo#46808, Remove XMultiServiceFactory from NavigatorTree



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 331 Commit Notification 2013-06-03 08:09:33 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=28e3aff576f06b0b02c7232da5d723e865b3c7ed

fdo#46808, Use service constructor for ZipFileAccess



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 332 Commit Notification 2013-06-03 08:10:19 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2838b8eb5ead00780ed9ed9410abee8b8d53a9a4

fdo#46808, Convert ComponentContext in connectivity,extension..



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 333 Commit Notification 2013-06-03 08:11:06 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d209e133191853f12557d879d1dcda7a0309dac6

fdo#46808, Convert comphelper::ComponentContext in forms module



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 334 Commit Notification 2013-06-03 13:41:13 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3505f0e46c2e0a743ab5de9adfbec3044a4573a6

Revert "fdo#46808, Convert oox::PowerPointExport service to new style"



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 335 Commit Notification 2013-06-05 07:51:47 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9a49980efa3522eb89f66eb185c98009236ffa89

fdo#46808, Convert various comphelper::ComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 336 Commit Notification 2013-06-05 07:52:32 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cee55a2c5463134c3a394bf6eda22998bc6cb2c9

fdo#46808, Convert a copy of ComponentContext to XComponentContext



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 337 Commit Notification 2013-06-05 07:53:18 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c0654ce02272499236f7b43920e288c5fff34d4f

fdo#46808, Convert XMultiServiceFactory in filter module



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 338 Commit Notification 2013-06-05 07:54:03 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c23be036a6b71324302aa8acd3858ea725c2ada6

fdo#46808, Convert some XMultiservice in framework module



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 339 Commit Notification 2013-06-05 07:54:49 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8c799984cc5b76c20baccffea818e07c440c2330

fdo#46808, Convert the rest of XMultiServiceFactory in framework module



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 340 Commit Notification 2013-06-05 07:55:35 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=546fa9f365ef1b19abe6739d2f42389f82576437

fdo#46808, Convert XMultiServiceFactory in svl module



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 341 Commit Notification 2013-06-05 07:56:23 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a1afcae81ca3c4b6bb240263b3259090d48c7715

fdo#46808, Convert XMultiServiceFactory in ucb module



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 342 Commit Notification 2013-06-05 12:55:56 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=27c6434fccfec5fb4184c1efa2057595c8716fad

fdo#46808, Replace usage of SpecialConfigManager



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 343 Commit Notification 2013-06-05 12:56:43 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a4196fc3cf1e20e32cda9477a33ff56515f0c24e

fdo#46808, Convert XMultiServiceFactory in xmlsecurity module



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 344 Commit Notification 2013-06-05 12:57:30 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=73e686725e734c2bb576aefa2bb514d7b5f9a13c

fdo#46808, Convert some more XMultiServiceFactory



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 345 Commit Notification 2013-06-05 12:58:17 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6a12e13870f15df93d2627f1538f7c64ca46e9e5

fdo#46808, Convert XMLSignatureTemplate service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 346 Commit Notification 2013-06-05 12:59:04 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=75a87d9bc25c9c74810591bbfa560b0f7184e940

fdo#46808, Convert xml::crypto::XMLEncryptionTemplate to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 347 Commit Notification 2013-06-10 08:28:51 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=670e2329df5cccaacd0e43d3656aeb112488e8ef

fdo#46808, Convert xml::crypto services to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 348 Commit Notification 2013-06-10 08:29:39 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=34e5e9c650ef8653b12d16a1d5de535b5f5b3ead

fdo#46808, Convert awt::grid::DefaultGridColumnModel to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 349 Commit Notification 2013-06-10 08:30:27 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9db162b6048284ae43dd0be45694ade2d0800bd7

fdo#46808, Use service constructor for connection::Acceptor



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 350 Commit Notification 2013-06-10 08:31:14 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=177f01b9fe7ef0d4ea08b5c6fb8afa82a51c8d1d

fdo#46808, Convert form::inspection::FormComponentPropertyHandler



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 351 Commit Notification 2013-07-18 08:49:46 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=32eaa77db33b3b1f5793e92167b9f8c2708ea543

fdo#46808, Convert frame::FrameControl service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 352 Commit Notification 2013-07-23 08:13:08 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9c41a60c0d802c618ac414822615a5c9e9e92f9f

fdo#46808, Convert ui::ModuleUIConfigurationManager service to new style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 353 Alex Thurgood 2015-01-03 17:41:28 UTC Comment hidden (no-value)
Comment 354 Robinson Tryon (qubit) 2015-12-14 07:17:52 UTC
Migrating Whiteboard tags to Keywords: (TopicCleanup )
[NinjaEdit]
Comment 355 Timur 2016-06-07 13:28:43 UTC
Should this still stay open? Any indication on remaining issues?
Comment 356 Stephan Bergmann 2016-06-07 13:57:26 UTC
Noel did a massive amount of work on this (thanks again!).  Whatever should remain open has likely already been identified as "not worth touching" for one reason or another during that process.
Comment 357 Stephan Bergmann 2016-06-07 14:01:13 UTC
(I see no relation to bug 100259)